apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
  creationTimestamp: "2022-05-30T12:59:22Z"
  generation: 1
  name: insights
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    kind: ClusterVersion
    name: version
    uid: a53c0638-36b8-4ddf-ab3d-1e5a0c92de00
  resourceVersion: "28633005"
  uid: 8c58a925-a899-492f-b1c3-4329588e8e67
spec: {}
status:
  conditions:
  - lastTransitionTime: "2022-05-30T13:09:11Z"
    reason: AsExpected
    status: "True"
    type: Available
  - lastTransitionTime: "2022-05-30T22:21:01Z"
    message: An error has occurred
    reason: Degraded
    status: "False"
    type: Progressing
  - lastTransitionTime: "2022-05-30T13:29:32Z"
    message: |
      Reporting was not allowed: your Red Hat account is not enabled for remote support or your token has expired: UHC services authentication failed
    status: "True"
    type: Degraded
  - lastTransitionTime: "2022-05-30T13:29:32Z"
    message: 'Failed to pull SCA certs from https://api.openshift.com/api/accounts_mgmt/v1/certificates:
      OCM API https://api.openshift.com/api/accounts_mgmt/v1/certificates returned
      HTTP 401: {"code":"ACCT-MGMT-15","href":"/api/accounts_mgmt/v1/errors/15","id":"15","kind":"Error","operation_id":"f4b49f36-d4ec-4ae4-b11c-7ccac059d622","reason":"Unable
      to get payload details from JWT token: Unable to retrieve JWT token from request
      context"}'
    reason: Unauthorized
    status: "True"
    type: SCANotAvailable
  - lastTransitionTime: "2022-05-30T13:09:11Z"
    reason: AsExpected
    status: "False"
    type: Disabled
  - lastTransitionTime: "2022-05-30T13:29:32Z"
    message: |
      Reporting was not allowed: your Red Hat account is not enabled for remote support or your token has expired: UHC services authentication failed
    reason: NotAuthorized
    status: "True"
    type: UploadDegraded
  extension:
    lastReportTime: null
  relatedObjects:
  - group: ""
    name: openshift-insights
    resource: namespaces
  - group: apps
    name: insights-operator
    namespace: openshift-insights
    resource: deployments
  - group: ""
    name: pull-secret
    namespace: openshift-config
    resource: secrets
  - group: ""
    name: support
    namespace: openshift-config
    resource: secrets
  - group: ""
    name: gather
    namespace: openshift-insights
    resource: serviceaccounts
  - group: ""
    name: operator
    namespace: openshift-insights
    resource: serviceaccounts
  - group: ""
    name: metrics
    namespace: openshift-insights
    resource: services
  - group: ""
    name: service-ca-bundle
    namespace: openshift-insights
    resource: configmaps
  versions:
  - name: operator
    version: 4.10.14
